commit:     2497ad2bba67d4e2e895e57c3e63398250ccf9a0
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 19:52:16 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 19:59:01 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2497ad2b

net-print/cups-filters: Bump to version 1.8.3

Package-Manager: portage-2.2.28
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-print/cups-filters/Manifest                    |   1 +
 net-print/cups-filters/cups-filters-1.8.3.ebuild   | 118 +++++++++++++++++++++
 .../cups-filters/files/cups-browsed.init.d-r1      |   9 ++
 3 files changed, 128 insertions(+)

diff --git a/net-print/cups-filters/Manifest b/net-print/cups-filters/Manifest
index 616bd64..afd3694 100644
--- a/net-print/cups-filters/Manifest
+++ b/net-print/cups-filters/Manifest
@@ -2,3 +2,4 @@ DIST cups-filters-1.5.0.tar.xz 1375588 SHA256 
f22a8864e8d5b693795605a31345c08cc6
 DIST cups-filters-1.6.0.tar.xz 1377952 SHA256 
39e53db81df7aa951507c72ced52b9b0e9e4294c3f83e8b717fb42c03a557c97 SHA512 
dd7671dbb13588829337e4ae4d533dc6c1e17f75ca240a6d43bb0a30a2453fffa9a1541d7b041024a6d4cbb939790802a8c3947cd319590fa37c7ce237232b9d
 WHIRLPOOL 
297ec0aeebd336a583f410099711cd6449b7b765fb29099b1ba5fd2d6a4c5dd7fd2824eb7aa26ca59070d7b866a68966d609729a3f58c07e1e13011af7e7e33e
 DIST cups-filters-1.8.1.tar.xz 1372152 SHA256 
4e7d8953f910b7a992471d641590964c20f26da5d94c10de932dde4f5c03e91e SHA512 
9b254dbcc90df335b8162495f5c2846f77c8006128458e54753877d0b5e6b1d696ae28378b4b9a8275626d7f537651e1cb55aac67588ee5fa319898912dd9e08
 WHIRLPOOL 
7a41fdeed84ee1f0f18aa201633ce5e77040499bf7a2ac5cf324f45876ca2a8072ddf5b947d8ac6526839bcd15c351324d556967d4e303d6b96aaf5bd44c2ed3
 DIST cups-filters-1.8.2.tar.xz 1372508 SHA256 
06d1c2a65e45d92d0e2dc854d13161d01072094efe4fadc23319700c9a259c69 SHA512 
71cd08b7955a334fa04834e99365ac8e83d34ba71a4de8a4a3e7cf7fd50768332d1a0588b963b9301f5a88170d3c700c36cf596a45497032202f3e5f18f93f2e
 WHIRLPOOL 
eae8c0c7ec83d131e91d89ace89ad12b76ac323e44f395e83cdb39340c9228a1e9436b2ccbe2c32ac02b2b868bce204a28f48261f71d8a2fccd4b7cfaff27814
+DIST cups-filters-1.8.3.tar.xz 1373028 SHA256 
e1e786f1fbcd3a203d87ebb4106a0ba8d579953cbe22056d12d4ee8143f5341a SHA512 
5c3648670ae141038a373c4e800e81a7584759e3caf8c4e4468cb0da11c0ff521ac80678e603856c7209da6638673400305c38903cb27e3b4d792d17947e2af4
 WHIRLPOOL 
0c0ff9b767f35a61f4b9b2f57392d1a6afce35decf9216e77f7503b62bd67da0fa05f9ed507518599e03d27de50458823499989bf6bfd8d3a3da162292819157

diff --git a/net-print/cups-filters/cups-filters-1.8.3.ebuild 
b/net-print/cups-filters/cups-filters-1.8.3.ebuild
new file mode 100644
index 0000000..a8a9625
--- /dev/null
+++ b/net-print/cups-filters/cups-filters-1.8.3.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+GENTOO_DEPEND_ON_PERL=no
+
+inherit eutils perl-module systemd
+
+if [[ "${PV}" == "9999" ]] ; then
+       inherit bzr
+       EBZR_REPO_URI="http://bzr.linuxfoundation.org/openprinting/cups-filters";
+else
+       SRC_URI="http://www.openprinting.org/download/${PN}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86 ~amd64-fbsd ~m68k-mint"
+fi
+DESCRIPTION="Cups PDF filters"
+HOMEPAGE="http://www.linuxfoundation.org/collaborate/workgroups/openprinting/pdfasstandardprintjobformat";
+
+LICENSE="MIT GPL-2"
+SLOT="0"
+IUSE="dbus +foomatic jpeg ldap perl png +postscript static-libs tiff zeroconf"
+
+RDEPEND="
+       postscript? ( >=app-text/ghostscript-gpl-9.09[cups] )
+       >=app-text/poppler-0.32:=[cxx,jpeg?,lcms,tiff?,utils,xpdf-headers(+)]
+       >=app-text/qpdf-3.0.2:=
+       dev-libs/glib:2
+       media-libs/fontconfig
+       media-libs/freetype:2
+       media-libs/lcms:2
+       >=net-print/cups-1.7.3
+       !<=net-print/cups-1.5.9999
+       sys-devel/bc
+       sys-libs/zlib
+       dbus? ( sys-apps/dbus )
+       foomatic? ( !net-print/foomatic-filters )
+       jpeg? ( virtual/jpeg:0 )
+       ldap? ( net-nds/openldap )
+       perl? ( dev-lang/perl:= )
+       png? ( media-libs/libpng:0= )
+       tiff? ( media-libs/tiff:0 )
+       zeroconf? ( net-dns/avahi[dbus] )
+"
+DEPEND="${RDEPEND}
+       dev-util/gdbus-codegen
+"
+
+src_configure() {
+       econf \
+               --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+               --localstatedir="${EPREFIX}"/var \
+               --with-cups-rundir="${EPREFIX}"/run/cups \
+               $(use_enable dbus) \
+               $(use_enable zeroconf avahi) \
+               $(use_enable static-libs static) \
+               $(use_enable foomatic) \
+               $(use_enable ldap) \
+               $(use_enable postscript ghostscript) \
+               $(use_enable postscript ijs) \
+               --with-fontdir="fonts/conf.avail" \
+               --with-pdftops=pdftops \
+               --enable-imagefilters \
+               $(use_with jpeg) \
+               $(use_with png) \
+               $(use_with tiff) \
+               --with-rcdir=no \
+               --with-browseremoteprotocols=DNSSD,CUPS \
+               --without-php
+}
+
+src_compile() {
+       MAKEOPTS=-j1 default
+
+       if use perl; then
+               pushd "${S}/scripting/perl" > /dev/null
+               perl-module_src_configure
+               perl-module_src_compile
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       default
+
+       if use perl; then
+               pushd "${S}/scripting/perl" > /dev/null
+               perl-module_src_install
+               perl_delete_localpod
+               popd > /dev/null
+       fi
+
+       if use postscript; then
+               # workaround: some printer drivers still require pstoraster and 
pstopxl, bug #383831
+               dosym gstoraster /usr/libexec/cups/filter/pstoraster
+               dosym gstopxl /usr/libexec/cups/filter/pstopxl
+       fi
+
+       prune_libtool_files --all
+
+       cp "${FILESDIR}"/cups-browsed.init.d-r1 "${T}"/cups-browsed || die
+
+       if ! use zeroconf ; then
+               sed -i -e 's:need cupsd avahi-daemon:need cupsd:g' 
"${T}"/cups-browsed || die
+               sed -i -e 's:cups\.service 
avahi-daemon\.service:cups.service:g' "${S}"/utils/cups-browsed.service || die
+       fi
+
+       doinitd "${T}"/cups-browsed
+       systemd_dounit "${S}/utils/cups-browsed.service"
+}
+
+pkg_postinst() {
+       if ! use foomatic ; then
+               ewarn "You are disabling the foomatic code in cups-filters. 
Please do that ONLY if absolutely."
+               ewarn "necessary. net-print/foomatic-filters as replacement is 
deprecated and unmaintained."
+       fi
+}

diff --git a/net-print/cups-filters/files/cups-browsed.init.d-r1 
b/net-print/cups-filters/files/cups-browsed.init.d-r1
new file mode 100644
index 0000000..dddfe7b
--- /dev/null
+++ b/net-print/cups-filters/files/cups-browsed.init.d-r1
@@ -0,0 +1,9 @@
+#!/sbin/openrc-run
+
+pidfile="/var/run/cups-browsed.pid"
+command="/usr/sbin/cups-browsed"
+command_background="true"
+
+depend() {
+       need cupsd avahi-daemon
+}

Reply via email to